de.esprit.appsuite.appstore.ndf

## Class AppDescriptorHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.appsuite.appstore.ndf.AppDescriptorHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class AppDescriptorHandler
      extends NdfHandler

  This handler reads an `AppDescriptor` instance from an NDF file.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppDescriptorHandler(AppVersion appVersion)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JavaAppDescriptor` | `createJavaAppDescriptor(java.lang.String installationZipFile, NumericalPrecision numPrec, java.lang.String mainClass, JavaVmType javaVmType, JavaTechnology javaTechnology, int vmMaxMemory)`
    `protected NativeAppDescriptor` | `createNativeAppDescriptor(java.lang.String installationZipFile, NumericalPrecision numericalPrecision, java.lang.String executablePath)`
    `void` | `doneObject(NdfStructure struct)` Called when an object structure is done.
    `void` | `foundTableRow(NdfStructure struct, int rowIndex, NdfProperties props)` Called when a table row was found within a table structure.
    `protected AppVersion` | `getAppVersion()`
    `void` | `startDocument(NdfStructure struct, NdfProperties headerProps)` Called when document parsing is started.
    `void` | `startObject(NdfStructure struct, NdfProperties props)` Called when an object structure was detected.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, checkDocumentType, doneArray, doneDocument, doneList, doneTable, doneText, foundArrayValue, foundArrayValue, foundListValue, foundListValue, foundProperties, foundTableCell, foundTableRow, foundText, foundText, getCurrentNestingLevel, getCurrentStructure, getDocAuthor, getDocCreated, getDocEncoding, getDocType, getDocVersion, getFileInfo, getLineNumber, getLogChannel, getMaxNestingLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startList, startTable, startText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppDescriptorHandler

          public AppDescriptorHandler(AppVersion appVersion)

  - ### Method Detail

    - #### getAppVersion

          protected final AppVersion getAppVersion()

    - #### startDocument

          public final void startDocument(NdfStructure struct,
                           NdfProperties headerProps)
                                   throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when document parsing is started. Note that the document header properties are already read before this call.
      Overrides:
        `startDocument` in class `NdfHandler`
        `headerProps` - the header properties found in the document
      Throws:
        `java.lang.Exception`

    - #### startObject

          public final void startObject(NdfStructure struct,
                         NdfProperties props)
                                 throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when an object structure was detected.
      Overrides:
        `startObject` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### createJavaAppDescriptor

          protected JavaAppDescriptor createJavaAppDescriptor(java.lang.String installationZipFile,
                                                  NumericalPrecision numPrec,
                                                  java.lang.String mainClass,
                                                  JavaVmType javaVmType,
                                                  JavaTechnology javaTechnology,
                                                  int vmMaxMemory)

    - #### createNativeAppDescriptor

          protected NativeAppDescriptor createNativeAppDescriptor(java.lang.String installationZipFile,
                                                      NumericalPrecision numericalPrecision,
                                                      java.lang.String executablePath)

    - #### doneObject

          public final void doneObject(NdfStructure struct)
                                throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when an object structure is done.
      Overrides:
        `doneObject` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### foundTableRow

          public final void foundTableRow(NdfStructure struct,
                           int rowIndex,
                           NdfProperties props)
                                   throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when a table row was found within a table structure. This method is called in `NotifyTableValue.AS_PROPERTIES` notification mode. It is quite expensive because it parses values the same way as property values. But it provides the convenience to extract values readily converted to the desired data type.
      Overrides:
        `foundTableRow` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.